package extend.zp.room.state;

import com.game.Global;
import com.game.state.StateBase;

import extend.zp.EXRoom;


public class EXRoomStartGameState extends StateBase<EXRoom> {

	@Override
	public void enter(EXRoom owner) {
		owner.startGame();

		this.toNextState(owner);
		
	}

	@Override
	public void toNextState(EXRoom owner) {
		owner.stateMachine.changeState(Global.getState(EXRoomDealState.class));
	}

}
